# Generated from inspec-6.8.24.gem by gem2rpm -*- rpm-spec -*-
%global gem_name inspec

Name: rubygem-%{gem_name}
Version: 6.8.24
Release: 1%{?dist}
Summary: Infrastructure and compliance testing
License: LicenseRef-Chef-EULA
URL: https://github.com/inspec/inspec
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1.0
BuildArch: noarch

%description
InSpec provides a framework for creating end-to-end infrastructure tests. You
can use it for integration or even compliance testing. Create fully portable
test profiles and use them in your workflow to ensure stability and security.
Integrate InSpec in your change lifecycle for local testing, CI/CD, and
deployment verification.
Packaged distributions of Progress® Chef® products obtained from RubyGems are
made available pursuant to the Progress Chef EULA at
https://www.chef.io/end-user-license-agreement, unless there is an executed
agreement in effect between you and Progress that covers the Progress Chef
products ("Master Agreement"), in which case the Master Agreement shall
govern.
Source code obtained from the Chef GitHub repository is made available under
Apache-2.0, a copy of which is included.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/inspec.gemspec

%changelog
* Wed Jan 29 2025 mockbuilder - 6.8.24-1
- Initial package
